Package twisted :: Package web :: Package woven :: Module model :: Class DeferredWrapper

[show private | hide private]
[frames | no frames]

## Class DeferredWrapper

    Model --+
            |
      Wrapper --+
                |
               DeferredWrapper

Method Summary
| `__init__(self, orig)` (inherited from `Wrapper`)
| `__cmp__(self, other)` (inherited from `Model`)
| `__getstate__(self)` (inherited from `Model`)
| `__repr__(self)` (inherited from `Wrapper`)
| `addSubview(self, name, subview)` (inherited from `Model`)
| ``addView`(self, view)` Add a view for the model to keep track of. (inherited from `Model`)
| `getData(self)` (inherited from `Wrapper`)
| ``getSubmodel`(self, name)` Get the submodel `name' of this model. (inherited from `Model`)
| ``initialize`(self, *args, **kwargs)` Hook for subclasses to initialize themselves without having to mess with the __init__ chain. (inherited from `Model`)
| ``lookupSubmodel`(self, submodelName)` Look up a full submodel name. (inherited from `Model`)
| ``notify`(self, changed)` Notify all views that something was changed on me. (inherited from `Model`)
| ``removeView`(self, view)` Remove a view that the model no longer should keep track of. (inherited from `Model`)
| `setData(self, data)`
| ``setSubmodel`(self, name, value)` Set a submodel on this model. (inherited from `Model`)
| ``submodelCheck`(self, name)` Check if a submodel name is allowed. (inherited from `Model`)
| `submodelFactory(self, name)` (inherited from `Model`)
| `_getModelWrapper(self, currentModel, element, parentModel)` (inherited from `Model`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:31 2003 | http://epydoc.sf.net